> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shape

> Read a published Shape's current version.

**Operation ID:** `http.shapes.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/shapes/{id}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/shapes/{id}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes/{id}:
    get:
      tags:
        - Shapes
      summary: Get shape
      description: |-
        Read a published Shape's current version.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_get_response:
      type: object
      properties:
        data:
          type: object
          properties:
            shape_id:
              type: string
            revision_id:
              type: string
            artifact_digest:
              type: string
            generation:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
          required:
            - shape_id
            - revision_id
            - artifact_digest
            - generation
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.